Subject: RE: [mobile-ip] Comments on 3012bis

From: "Jayshree Bharatia" <[email-masked]>
Date: Mon, 14 Jul 2003 08:10:10 -0500

Pete,

I am not sure I understand your concern well. Can you please clarify what
risks are associated if the malicious node consumes "previously used
challenges". 

Thanks,
Jayshree
> -----Original Message-----
> From: Pete McCann [mailto:[email-masked]] 
> Sent: Friday, July 11, 2003 9:53 AM
> To: Bharatia, Jayshree [RICH1:2H13:EXCH]
> Cc: [email-masked]'; [email-masked]'; 
> [email-masked]'
> Subject: RE: [mobile-ip] Comments on 3012bis
> 
> 
> 
> Hi, Jayshree,
> 
> One point below...
> 
> Jayshree Bharatia writes:
>  > > No, it is possible to reuse the challenge in a retransmitted 
>  > > registration request, as outlined in Section 3.2.  Under my 
>  > > reading of that section a retransmission of a Challenge is 
>  > > still a "previously used" challenge, even though the Reply 
>  > > has not been sent/received.  Note that this is different from 
>  > > a "stale challenge" which is one that has been used in a 
>  > > request, validated by the FA, and for which a Reply was sent 
>  > > to the MN.  I would like to keep this distinction in the 
>  > > definitions.  Otherwise, I think you will need to re-write 
>  > > some of the text in Section 3.2.
>  > > 
>  > [JB] I agree that the differentiation is based on whether 
> the FA has sent  > corresponding Registration Reply to the MN 
> or not. If the FA has already  > sent the reply, and the MN 
> sends the same challenge in the new Registration  > Request, 
> it will be "stale challenge". Otherwise, if it will be just  
> > "previously used challenge". If we have agreement on this, 
> I like to propose  > the following:  > 1. The new (proposed 
> earlier) text will still be valid for the "stale  > 
> challenge" terminology.  > 2. Add new definition called 
> "previously used challenge" with the following  > description 
> for section 1.1:  > "previously used challenge: Any challenge 
> that has been used by the Mobile  > Node in the previous 
> Registration Request"  > 
>  > I notice that you have additional statement saying "and 
> that previous  > Registration Request passed all checks prior 
> to forwarding to the HA". I  > would rather not specify where 
> exactly the Registration Request may be  > getting processed 
> once it is received at the FA. It may be forwarded to AAA  > 
> or HA. Also, even if it doesn't passes all checks, it is 
> still considered as  > a "previously used challenge".
> 
> But I think this opens up a denial of service attack, where 
> malicious nodes can consume challenges on behalf of other 
> nodes on the same link.  If you don't at least check the 
> MN-AAA or MN-FA authentication on the Challenge, you should 
> not mark it as "previously used" for that mobile.  That's why 
> I put the language about passing validity checks at the FA.  
> This could be consultation of a AAA interface or verification 
> of the MN-FA auth extension---I was intentionally vague about that.
> 
> -Pete
> 
> 
>

---

From: Pete McCann <[email-masked]>
Date: Wed, 16 Jul 2003 07:59:15 -0500

Hi, Jayshree,

The issue is that the text says you shall reject previously used
challenges (in all cases but retransmissions of valid requests).  If
"previously used" includes RRQs that weren't validated, then it is
possible for an attacker to use them up before the MN can register.

-Pete